import { TemplateRef, ViewContainerRef } from '@angular/core';
import { _RxVirtualViewContent } from './model';
import * as i0 from "@angular/core";
/**
 * The RxVirtualViewTemplate directive is a directive that allows you to create a content template for the virtual view.
 *
 * It can be used on an element/component to create a content template for the virtual view.
 *
 * It needs to be a sibling of the `rxVirtualView` directive.
 *
 * @example
 * ```html
 * <div rxVirtualViewObserver>
 *   <div rxVirtualView>
 *     <div *rxVirtualViewContent>Virtual View 1</div>
 *     <div *rxVirtualViewPlaceholder>Loading...</div>
 *   </div>
 * </div>
 * ```
 *
 * @developerPreview
 */
export declare class RxVirtualViewContent implements _RxVirtualViewContent {
    #private;
    templateRef: TemplateRef<unknown>;
    viewContainerRef: ViewContainerRef;
    constructor(templateRef: TemplateRef<unknown>);
    static ɵfac: i0.ɵɵFactoryDeclaration<RxVirtualViewContent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RxVirtualViewContent, "[rxVirtualViewContent]", never, {}, {}, never, never, true, never>;
}
